Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.borg.ui.util
Class GridBagConstraintsFactory

    java.lang.Object
      net.sf.borg.ui.util.GridBagConstraintsFactory

    public class GridBagConstraintsFactory

extends Object

A factory for creating GridBagConstraints objects in a standard way. Saves lots of LOC.

Constructor Summary
`GridBagConstraintsFactory()`

Method Summary
`static GridBagConstraints` | `create(int x, int y)` Creates GridBagConstraints
`static GridBagConstraints` | `create(int x, int y, int fill)` Creates GridBagConstraints
`static GridBagConstraints` | `create(int x, int y, int fill, double weightx, double weighty)` Creates GridBagConstraints

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GridBagConstraintsFactory

    public GridBagConstraintsFactory()

Method Detail

### create

    public static GridBagConstraints create(int x,
                                            int y)

  Creates GridBagConstraints

  Parameters:
    `x` - the x
    `y` - the y
  Returns:
    the grid bag constraints

### create

    public static GridBagConstraints create(int x,
                                            int y,
                                            int fill)

  Creates GridBagConstraints

  Parameters:
    `x` - the x
    `y` - the y
    `fill` - the fill
  Returns:
    the grid bag constraints

### create

    public static GridBagConstraints create(int x,
                                            int y,
                                            int fill,
                                            double weightx,
                                            double weighty)

  Creates GridBagConstraints

  Parameters:
    `x` - the x
    `y` - the y
    `fill` - the fill
    `weightx` - the weightx
    `weighty` - the weighty
  Returns:
    the grid bag constraints

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Generated September 24 2010 by mbb using Apache Ant version 1.7.1 compiled on June 27 2008 and Java version 1.6.0_20 from Sun Microsystems Inc. on Linux i386 2.6.24-28-generic